Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network239.240.0.0/12
Usable hosts1,048,574
Subnet mask255.240.0.0
Addresses1,048,576
Network address
239.240.0.0
Broadcast address
239.255.255.255
First usable
239.240.0.1
Last usable
239.255.255.254
Usable hosts
1,048,574 (1,048,576 less the network and broadcast addresses)
Subnet mask
255.240.0.0
Wildcard mask
0.15.255.255 (Cisco ACLs, OSPF)
Prefix length
/12
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex EFF00000 · Integer 4025483264 to 4026531839
Reverse DNS zones
240.239.in-addr.arpa
241.239.in-addr.arpa
242.239.in-addr.arpa
243.239.in-addr.arpa
244.239.in-addr.arpa
245.239.in-addr.arpa
246.239.in-addr.arpa
247.239.in-addr.arpa
248.239.in-addr.arpa
249.239.in-addr.arpa
250.239.in-addr.arpa
251.239.in-addr.arpa
252.239.in-addr.arpa
253.239.in-addr.arpa
254.239.in-addr.arpa
255.239.in-addr.arpa
/12 is not on a 8-bit boundary, so it takes 16 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11101111.11110000.00000000.00000000239.240.0.0
Subnet mask11111111.11110000.00000000.00000000255.240.0.0
Network11101111.11110000.00000000.00000000239.240.0.0
Broadcast11101111.11111111.11111111.11111111239.255.255.255
Split into smaller subnets/19

239.240.0.0/12 makes 128 subnets of /19.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1239.240.0.0/19239.240.0.1 to 239.240.31.254239.240.31.2558,190
2239.240.32.0/19239.240.32.1 to 239.240.63.254239.240.63.2558,190
3239.240.64.0/19239.240.64.1 to 239.240.95.254239.240.95.2558,190
4239.240.96.0/19239.240.96.1 to 239.240.127.254239.240.127.2558,190
5239.240.128.0/19239.240.128.1 to 239.240.159.254239.240.159.2558,190
6239.240.160.0/19239.240.160.1 to 239.240.191.254239.240.191.2558,190
7239.240.192.0/19239.240.192.1 to 239.240.223.254239.240.223.2558,190
8239.240.224.0/19239.240.224.1 to 239.240.255.254239.240.255.2558,190
9239.241.0.0/19239.241.0.1 to 239.241.31.254239.241.31.2558,190
10239.241.32.0/19239.241.32.1 to 239.241.63.254239.241.63.2558,190
11239.241.64.0/19239.241.64.1 to 239.241.95.254239.241.95.2558,190
12239.241.96.0/19239.241.96.1 to 239.241.127.254239.241.127.2558,190
13239.241.128.0/19239.241.128.1 to 239.241.159.254239.241.159.2558,190
14239.241.160.0/19239.241.160.1 to 239.241.191.254239.241.191.2558,190
15239.241.192.0/19239.241.192.1 to 239.241.223.254239.241.223.2558,190
16239.241.224.0/19239.241.224.1 to 239.241.255.254239.241.255.2558,190
17239.242.0.0/19239.242.0.1 to 239.242.31.254239.242.31.2558,190
18239.242.32.0/19239.242.32.1 to 239.242.63.254239.242.63.2558,190
19239.242.64.0/19239.242.64.1 to 239.242.95.254239.242.95.2558,190
20239.242.96.0/19239.242.96.1 to 239.242.127.254239.242.127.2558,190
21239.242.128.0/19239.242.128.1 to 239.242.159.254239.242.159.2558,190
22239.242.160.0/19239.242.160.1 to 239.242.191.254239.242.191.2558,190
23239.242.192.0/19239.242.192.1 to 239.242.223.254239.242.223.2558,190
24239.242.224.0/19239.242.224.1 to 239.242.255.254239.242.255.2558,190
25239.243.0.0/19239.243.0.1 to 239.243.31.254239.243.31.2558,190
26239.243.32.0/19239.243.32.1 to 239.243.63.254239.243.63.2558,190
27239.243.64.0/19239.243.64.1 to 239.243.95.254239.243.95.2558,190
28239.243.96.0/19239.243.96.1 to 239.243.127.254239.243.127.2558,190
29239.243.128.0/19239.243.128.1 to 239.243.159.254239.243.159.2558,190
30239.243.160.0/19239.243.160.1 to 239.243.191.254239.243.191.2558,190
31239.243.192.0/19239.243.192.1 to 239.243.223.254239.243.223.2558,190
32239.243.224.0/19239.243.224.1 to 239.243.255.254239.243.255.2558,190
33239.244.0.0/19239.244.0.1 to 239.244.31.254239.244.31.2558,190
34239.244.32.0/19239.244.32.1 to 239.244.63.254239.244.63.2558,190
35239.244.64.0/19239.244.64.1 to 239.244.95.254239.244.95.2558,190
36239.244.96.0/19239.244.96.1 to 239.244.127.254239.244.127.2558,190
37239.244.128.0/19239.244.128.1 to 239.244.159.254239.244.159.2558,190
38239.244.160.0/19239.244.160.1 to 239.244.191.254239.244.191.2558,190
39239.244.192.0/19239.244.192.1 to 239.244.223.254239.244.223.2558,190
40239.244.224.0/19239.244.224.1 to 239.244.255.254239.244.255.2558,190
41239.245.0.0/19239.245.0.1 to 239.245.31.254239.245.31.2558,190
42239.245.32.0/19239.245.32.1 to 239.245.63.254239.245.63.2558,190
43239.245.64.0/19239.245.64.1 to 239.245.95.254239.245.95.2558,190
44239.245.96.0/19239.245.96.1 to 239.245.127.254239.245.127.2558,190
45239.245.128.0/19239.245.128.1 to 239.245.159.254239.245.159.2558,190
46239.245.160.0/19239.245.160.1 to 239.245.191.254239.245.191.2558,190
47239.245.192.0/19239.245.192.1 to 239.245.223.254239.245.223.2558,190
48239.245.224.0/19239.245.224.1 to 239.245.255.254239.245.255.2558,190
49239.246.0.0/19239.246.0.1 to 239.246.31.254239.246.31.2558,190
50239.246.32.0/19239.246.32.1 to 239.246.63.254239.246.63.2558,190
51239.246.64.0/19239.246.64.1 to 239.246.95.254239.246.95.2558,190
52239.246.96.0/19239.246.96.1 to 239.246.127.254239.246.127.2558,190
53239.246.128.0/19239.246.128.1 to 239.246.159.254239.246.159.2558,190
54239.246.160.0/19239.246.160.1 to 239.246.191.254239.246.191.2558,190
55239.246.192.0/19239.246.192.1 to 239.246.223.254239.246.223.2558,190
56239.246.224.0/19239.246.224.1 to 239.246.255.254239.246.255.2558,190
57239.247.0.0/19239.247.0.1 to 239.247.31.254239.247.31.2558,190
58239.247.32.0/19239.247.32.1 to 239.247.63.254239.247.63.2558,190
59239.247.64.0/19239.247.64.1 to 239.247.95.254239.247.95.2558,190
60239.247.96.0/19239.247.96.1 to 239.247.127.254239.247.127.2558,190
61239.247.128.0/19239.247.128.1 to 239.247.159.254239.247.159.2558,190
62239.247.160.0/19239.247.160.1 to 239.247.191.254239.247.191.2558,190
63239.247.192.0/19239.247.192.1 to 239.247.223.254239.247.223.2558,190
64239.247.224.0/19239.247.224.1 to 239.247.255.254239.247.255.2558,190
65239.248.0.0/19239.248.0.1 to 239.248.31.254239.248.31.2558,190
66239.248.32.0/19239.248.32.1 to 239.248.63.254239.248.63.2558,190
67239.248.64.0/19239.248.64.1 to 239.248.95.254239.248.95.2558,190
68239.248.96.0/19239.248.96.1 to 239.248.127.254239.248.127.2558,190
69239.248.128.0/19239.248.128.1 to 239.248.159.254239.248.159.2558,190
70239.248.160.0/19239.248.160.1 to 239.248.191.254239.248.191.2558,190
71239.248.192.0/19239.248.192.1 to 239.248.223.254239.248.223.2558,190
72239.248.224.0/19239.248.224.1 to 239.248.255.254239.248.255.2558,190
73239.249.0.0/19239.249.0.1 to 239.249.31.254239.249.31.2558,190
74239.249.32.0/19239.249.32.1 to 239.249.63.254239.249.63.2558,190
75239.249.64.0/19239.249.64.1 to 239.249.95.254239.249.95.2558,190
76239.249.96.0/19239.249.96.1 to 239.249.127.254239.249.127.2558,190
77239.249.128.0/19239.249.128.1 to 239.249.159.254239.249.159.2558,190
78239.249.160.0/19239.249.160.1 to 239.249.191.254239.249.191.2558,190
79239.249.192.0/19239.249.192.1 to 239.249.223.254239.249.223.2558,190
80239.249.224.0/19239.249.224.1 to 239.249.255.254239.249.255.2558,190
81239.250.0.0/19239.250.0.1 to 239.250.31.254239.250.31.2558,190
82239.250.32.0/19239.250.32.1 to 239.250.63.254239.250.63.2558,190
83239.250.64.0/19239.250.64.1 to 239.250.95.254239.250.95.2558,190
84239.250.96.0/19239.250.96.1 to 239.250.127.254239.250.127.2558,190
85239.250.128.0/19239.250.128.1 to 239.250.159.254239.250.159.2558,190
86239.250.160.0/19239.250.160.1 to 239.250.191.254239.250.191.2558,190
87239.250.192.0/19239.250.192.1 to 239.250.223.254239.250.223.2558,190
88239.250.224.0/19239.250.224.1 to 239.250.255.254239.250.255.2558,190
89239.251.0.0/19239.251.0.1 to 239.251.31.254239.251.31.2558,190
90239.251.32.0/19239.251.32.1 to 239.251.63.254239.251.63.2558,190
91239.251.64.0/19239.251.64.1 to 239.251.95.254239.251.95.2558,190
92239.251.96.0/19239.251.96.1 to 239.251.127.254239.251.127.2558,190
93239.251.128.0/19239.251.128.1 to 239.251.159.254239.251.159.2558,190
94239.251.160.0/19239.251.160.1 to 239.251.191.254239.251.191.2558,190
95239.251.192.0/19239.251.192.1 to 239.251.223.254239.251.223.2558,190
96239.251.224.0/19239.251.224.1 to 239.251.255.254239.251.255.2558,190
97239.252.0.0/19239.252.0.1 to 239.252.31.254239.252.31.2558,190
98239.252.32.0/19239.252.32.1 to 239.252.63.254239.252.63.2558,190
99239.252.64.0/19239.252.64.1 to 239.252.95.254239.252.95.2558,190
100239.252.96.0/19239.252.96.1 to 239.252.127.254239.252.127.2558,190
101239.252.128.0/19239.252.128.1 to 239.252.159.254239.252.159.2558,190
102239.252.160.0/19239.252.160.1 to 239.252.191.254239.252.191.2558,190
103239.252.192.0/19239.252.192.1 to 239.252.223.254239.252.223.2558,190
104239.252.224.0/19239.252.224.1 to 239.252.255.254239.252.255.2558,190
105239.253.0.0/19239.253.0.1 to 239.253.31.254239.253.31.2558,190
106239.253.32.0/19239.253.32.1 to 239.253.63.254239.253.63.2558,190
107239.253.64.0/19239.253.64.1 to 239.253.95.254239.253.95.2558,190
108239.253.96.0/19239.253.96.1 to 239.253.127.254239.253.127.2558,190
109239.253.128.0/19239.253.128.1 to 239.253.159.254239.253.159.2558,190
110239.253.160.0/19239.253.160.1 to 239.253.191.254239.253.191.2558,190
111239.253.192.0/19239.253.192.1 to 239.253.223.254239.253.223.2558,190
112239.253.224.0/19239.253.224.1 to 239.253.255.254239.253.255.2558,190
113239.254.0.0/19239.254.0.1 to 239.254.31.254239.254.31.2558,190
114239.254.32.0/19239.254.32.1 to 239.254.63.254239.254.63.2558,190
115239.254.64.0/19239.254.64.1 to 239.254.95.254239.254.95.2558,190
116239.254.96.0/19239.254.96.1 to 239.254.127.254239.254.127.2558,190
117239.254.128.0/19239.254.128.1 to 239.254.159.254239.254.159.2558,190
118239.254.160.0/19239.254.160.1 to 239.254.191.254239.254.191.2558,190
119239.254.192.0/19239.254.192.1 to 239.254.223.254239.254.223.2558,190
120239.254.224.0/19239.254.224.1 to 239.254.255.254239.254.255.2558,190
121239.255.0.0/19239.255.0.1 to 239.255.31.254239.255.31.2558,190
122239.255.32.0/19239.255.32.1 to 239.255.63.254239.255.63.2558,190
123239.255.64.0/19239.255.64.1 to 239.255.95.254239.255.95.2558,190
124239.255.96.0/19239.255.96.1 to 239.255.127.254239.255.127.2558,190
125239.255.128.0/19239.255.128.1 to 239.255.159.254239.255.159.2558,190
126239.255.160.0/19239.255.160.1 to 239.255.191.254239.255.191.2558,190
127239.255.192.0/19239.255.192.1 to 239.255.223.254239.255.223.2558,190
128239.255.224.0/19239.255.224.1 to 239.255.255.254239.255.255.2558,190

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses